/*
Theme Name: Impreza Child
Template: Impreza
Version: 1.0
Author: Redbak
Theme URI: https://impreza.us-themes.com/
Author URI: https://redbak.com/
*/

/*********************************************
 *********************************************

 * *  1. Global Styling  * *
 * *  2. Navigation  * *
 * *  3. Sections * *
 * *  4. Woocommerce  * *


 *********************************************
 *********************************************/
/* Printing */
.only-print {
		display: none !important;
}
.print-note {
	font-size: 0.75rem;
	line-height: 1;
}
.print-icon {
	color: var(--color-hin-red);
    line-height: inherit;
    display: flex;
    text-align: center;
    align-items: center;
    justify-content: center;
    position: relative;
    padding: 0 0.8em;
    min-width: 3em;
    text-decoration: none !important;
    transition: none;
	box-shadow: inset 0 0 0 2px var(--color-hin-red);
	margin: 0.1em;
    border-radius: var(--site-border-radius);
}
.print-icon:hover {
	background-color: var(--color-hin-red);
	color: var(--color-hin-cream) !important;
}
.print-icon i {
	line-height: 2;
}
@media print {
	h1 {
		font-size: 2rem;
	}
	.no-print {
		display: none !important;
	}
	.only-print {
		display: block !important;
	}
	.recipe-details-wrapper {
		margin-bottom: 1rem;
	}
	.recipe-details-box {
		border: 1px solid;
	}
}

/*********************************************
 * *  1. Global Styling  * *
 *********************************************/

@media (min-width: 1024px) {
	.two-col-text {
		columns: 2;
		column-gap: 3rem;
	}
}

b, strong {
    letter-spacing: 0.05em;
}

.woocommerce-notices-wrapper~.woocommerce-info a.button {
    font-size: 16px;
    color: var(--color-hin-red) !important;
    padding: .8em 1.8em;
	border: 1px solid var(--color-hin-cream);
}
.woocommerce-notices-wrapper~.woocommerce-info a.button:hover {
    background-color: var(--color-hin-red); 
	color: var(--color-hin-cream) !important;
	border: 1px solid var(--color-hin-cream);
    padding: .8em 1.8em;
}


.stamp-overlay {
    position: absolute;
    z-index: 1;
    width: 20dvw;
    max-width: 400px !important;
    top: -7.5dvw;
    right: 0;
    opacity: 0.4;
    transform: rotate(5deg);
	pointer-events: none;
}

.grey-half-overlay-row .vc_column-inner .wpb_row {
	height: 50dvh;
	margin: 4rem 0;
}
.grey-half-overlay-row .vc_column-inner .wpb_row:first-of-type {
	margin-bottom: 8rem;
}
.grey-half-overlay-row .vc_column-inner .wpb_row .vc_column_container {
	z-index: 1;
}
.grey-half-overlay-row .vc_column-inner .wpb_row:after {
	content: "";
	position: absolute;
	display: block;
    width: 100vw;
    height: calc(50dvh + 8rem);
    left: 50%;
    transform: translateX(-50%);
    z-index: 0;
}
.grey-half-overlay-row .vc_column-inner .wpb_row:first-of-type:after {
	background-color: rgb(86 78 67 / 20%);
    top: 0;
}
.grey-half-overlay-row .vc_column-inner .wpb_row:last-of-type:after {
	background-color: rgb(86 78 67 / 80%);
    bottom: 0;
}

.text-link {
	text-decoration: underline;
	text-underline-offset: 4px;
	text-transform: uppercase;
	font-weight: 600;
	font-size: 0.75rem;
}
/* Footer */
.footer-hin-stamp {
	min-width: 100px;
	max-width: 300px;
	margin-left: -4rem;
}
.footer-quality-stamp {
	position: absolute;
    bottom: -80px;
    right: -80px;
    width: 420px;
    transform: rotate(7deg);
    opacity: 0.16;
	pointer-events: none;
}

.rb-payment-icons{
display:flex;
gap:14px;
align-items:center;
flex-wrap:wrap;
}

.rb-payment-icons img {
height:28px;
width:auto;
}

/*********************************************
 * *  2. Navigation  * *
 *********************************************/
.l-subheader.at_middle.width_full_with_indents {
    padding: 0 1rem;
}

.menu-nav {
	font-size: 16px;
	font-weight: 500;
	text-transform: uppercase;
	
}

.menu-sub-nav {
	font-size: 16px;
	font-weight: 500;
	text-transform: uppercase;
	transition-duration: .3s;
	transition-timing-function: cubic-bezier(.78, .13, .15, .86);
}
.l-header.sticky .menu-sub-nav {
	font-size: 0px;
}
.mega-menu-nav a.w-nav-control {
    font-size: 20px;
    text-transform: uppercase;
    font-weight: 500;
	padding-left: 10px;
	padding-right: 10px;
}

.menu-item.current_page_item a,
.menu-item.current-page-ancestor a {
    text-decoration: underline !important;
    text-underline-offset: 0.4em;
}

.nav-est-logo {
    position: absolute;
    right: 190px;
    margin-top: 30px;
    pointer-events: none;
}
.nav-search.layout_fullwidth input {
    font-size: 1rem;
    text-align: center;
}

.nav-basket .w-cart-quantity {
    font-size: 10px;
    line-height: 16px;
    min-width: 16px;
}
.nav-basket .w-cart-content {
	background: #ffffff;
	color: var(--color-hin-red);
}
.nav-basket .w-cart-content a:not(.button):hover {
	color: var(--color-hin-dark-grey) !important;
}
.nav-basket .woocommerce .button {
	background: var(--color-hin-grey);
}
.nav-basket .woocommerce .button.wc-forward:not(.checkout):hover {
	color: var(--color-hin-cream) !important;
	background: var(--color-hin-dark-grey) !important;
}

.mega-menu-tabs {
	gap: 4rem;
}
.mega-menu-tabs .w-tabs-list,
.mega-menu-tabs .w-tabs-sections {
	border-top: 1px solid;
	padding-top: 1.5rem;
}
.mega-menu-tabs .w-tabs-item:not(:last-child) {
	margin-bottom: 1rem !important;
}
.mega-menu-tabs .w-tabs-sections {
	
}




/*********************************************
 * *  3. Sections  * *
 *********************************************/
.feature-video-row {
	height: 100dvh;
}
.feature-video-row .l-section-h,
.feature-video-row .l-section-h .vc_row {
	height: 100%;
}
.video-logo-overlay {
	margin: auto;
	max-width: 400px !important;
}
.video-arrow-overlay {
    bottom: 0;
    position: absolute;
    justify-self: center;
}

/* recipes */
@media (max-width: 900px) {
	.recipes-list-row .vc_row {
		grid-template-columns: 100%;
	}
}

.recipe-image img {
	aspect-ratio: 16 / 9;
    object-fit: cover;
}
.recipe-difficulty-wrapper,
.recipe-serves {
	text-transform: uppercase;
    font-size: 0.75rem;
    font-weight: 500;
}
.recipe-difficulty-wrapper {
	margin-bottom: 0 !important;
}
.recipe-short-description {
	font-size: 0.75rem;
    line-height: 1.2;
}
.recipe-details-wrapper {
	display: grid;
	grid-template-columns: repeat(6, 1fr);
	gap: 0.5rem;
}

/* Row 1 — 2 items */
/* .recipe-details-wrapper > :nth-child(1),
.recipe-details-wrapper > :nth-child(2) { 
  grid-column: span 3;
} */
.recipe-details-wrapper > :nth-child(1) { 
  grid-column: span 4;
}
.recipe-details-wrapper > :nth-child(2) { 
  grid-column: span 2;
}
/* Row 2 — 3 items */
.recipe-details-wrapper > :nth-child(3),
.recipe-details-wrapper > :nth-child(4),
.recipe-details-wrapper > :nth-child(5) {
  grid-column: span 2;
}

/* Row 3 — 1 item */
.recipe-details-wrapper > :nth-child(6) {
  grid-column: span 6;
}
/* Row 4 — 2 items */
.recipe-details-wrapper > :nth-child(7) {
  grid-column: span 2;
}
.recipe-details-wrapper > :nth-child(8) {
  grid-column: span 4;
}
.recipe-details-box {
	background-color: var(--color-hin-cream);
	color: var(--color-hin-red);
	padding: 0.5rem;
	font-weight: 500;
	height: 100%;
	font-size: 1rem;
}
.recipe-details-box .w-post-elm-value,
.recipe-details-box .no-w-post-elm-value,
.recipe-details-box p,
.recipe-details-box .w-html {
    font-weight: 700;
}

.recipe-ingredients {
	column-count: 2;
}
.recipe-ingredients p {
	margin-bottom: 0.25rem;
}

/*********************************************
 * *  4. Woocommerce  * *
 *********************************************/
.product-grid-wrapper {
	background: #f3f3f3;
	border: 1px solid #e2ddd2;
}
.product-grid-inner-wrapper {
	padding: 1rem;
}
.product-grid-inner-wrapper a {
	color: var(--color-hin-red);
}
.product-grid-inner-wrapper a:hover {
	color: var(--color-hin-dark-grey);
}
/* Product Page */
.woocommerce .stock {
	display: none;
}
.quantity .plus:hover,
.quantity .minus:hover {
	color: var(--color-hin-dark-grey) !important;
}
.w-post-elm.add_to_cart .button.alt {
    background: var(--color-hin-cream);
    border-color: var(--color-hin-cream);
    color: var(--color-hin-red) !important;
    line-height: 2 !important;
}
.no-touch .woocommerce .w-post-elm.add_to_cart .button.alt:hover {
    background: var(--color-hin-red);
    border-color: var(--color-hin-cream);
    color: var(--color-hin-cream) !important;
}
@media (max-width: 1024px) {
	table.variations tr {
		display: flex;
		flex-direction: column;
	}
}
@media (max-width: 900px) {
	.product-page-main .g-cols.vc_row {
		grid-template-columns: 100%;
	}
}
.wc_stripe_product_payment_methods {
	display: none;
}
/* Basket / Checkout */
@media (max-width: 1100px) {
	.wooBasket .g-cols.vc_row {
		grid-template-columns: 100%;
	}
}

@media (max-width: 1100px) {
	.wc-block-components-sidebar-layout.wc-block-checkout.is-large {
		flex-direction: column-reverse;
	}
	.wc-block-components-sidebar-layout.wc-block-checkout.is-large .wp-block-woocommerce-checkout-fields-block {
		width: 100%;
        padding-right: 0;
	}
	.wc-block-components-sidebar-layout.wc-block-checkout.is-large .wp-block-woocommerce-checkout-totals-block.is-large {
		position: initial;
        width: 100%;
        padding-left: 0;
        padding-bottom: 1.5rem;
	}
}
@media (max-width: 540px) {
	.wc-block-components-sidebar-layout.wc-block-checkout.is-small .wc-block-components-order-summary__content .wc-block-components-order-summary-item:not(:last-child),
	.wc-block-components-sidebar-layout.wc-block-checkout.is-mobile .wc-block-components-order-summary__content .wc-block-components-order-summary-item:not(:last-child) {
		border-bottom: 1px dashed hsla(0, 0%, 7%, .11);
        margin-bottom: 0.5rem;
		padding-bottom: 0.5rem;
	}
	.wc-block-components-sidebar-layout.wc-block-checkout.is-small .wc-block-components-order-summary__content .wc-block-components-order-summary-item,
	.wc-block-components-sidebar-layout.wc-block-checkout.is-mobile .wc-block-components-order-summary__content .wc-block-components-order-summary-item {
		flex-direction: column;
	}
	.wc-block-components-sidebar-layout.wc-block-checkout.is-small .wc-block-components-order-summary__content .wc-block-components-order-summary-item .wc-block-components-order-summary-item__description,
	.wc-block-components-sidebar-layout.wc-block-checkout.is-mobile .wc-block-components-order-summary__content .wc-block-components-order-summary-item .wc-block-components-order-summary-item__description {
		padding: 4px 0px 12px 0px;
	}
}

.woocommerce .StripeElement {
    padding: 0rem 0.8rem !important;
}

.is-medium table.wc-block-cart-items .wc-block-cart-items__row, .is-mobile table.wc-block-cart-items .wc-block-cart-items__row, .is-small table.wc-block-cart-items .wc-block-cart-items__row {
    -ms-grid-columns: 140px 132px !important;
    grid-template-columns: 140px 132px !important;
    gap: 0.5rem;
}
@media (max-width: 480px) {
	.is-medium table.wc-block-cart-items .wc-block-cart-items__row, .is-mobile table.wc-block-cart-items .wc-block-cart-items__row, .is-small table.wc-block-cart-items .wc-block-cart-items__row {
		display: flex !important;
		flex-direction: column;
	}
}

.wc-block-components-product-metadata__description {
	display: none;
}

.basket-row {
	
}
.shop-box.cart-totals-shipping {
	background: var(--color-hin-cream);
	color: var(--color-hin-red);
}
.shop-box.cart-totals-shipping h2 {
	color: var(--color-hin-red);
/* 	letter-spacing: -0.05em; */
	letter-spacing: 0em;
}
.shop-box.cart-totals-shipping {
	
}
.shop-box.cart-totals-shipping .wc-proceed-to-checkout {
    display: flex;
    flex-direction: column;
}
.shop-box.cart-totals-shipping .wc-proceed-to-checkout a {
    order: -1;
}

.woocommerce ul#shipping_method li {
    justify-content: flex-start;
}

@media screen and (max-width: 480px) {
    .woocommerce .cart_totals {
		margin: 0rem 0rem 1.5rem 0rem !important;
	}
}
.product-page-noticebox {
    background: var(--color-hin-cream);
    color: var(--color-hin-grey);
}
.product-page-noticebox a {
    color: var(--color-hin-red);
}
/* Checkout */

.checkout-row .wc-block-checkout__form,
.wp-block-woocommerce-checkout-order-summary-block {
	background: var(--color-hin-cream);
    color: var(--color-hin-red);
    padding: 1rem;
	border-radius: 0.5rem !important;
}
.checkout-row .wc-block-components-checkout-step__title,
.wc-block-components-checkout-order-summary__title-text {
	color: var(--color-hin-red);
/* 	letter-spacing: -0.05em; */
	letter-spacing: 0em;
	font-weight: 700 !important;
    font-size: 1.2rem !important;
	text-transform: uppercase;
}

.wc-block-checkout__sidebar.is-sticky {
	top: calc(var(--header-sticky-height) + 1rem);
}

.wc-block-components-checkout-order-summary__title {
	margin-top: 0 !important;
}

.checkout-row div:not(.wc-block-components-order-summary-item__quantity),
.checkout-row span,
.checkout-row label,
.checkout-row input,
.checkout-row .wc-block-components-textarea {
    font-size: 1rem !important;
	line-height: 1 !important;
}
.checkout-row .wc-block-components-order-summary-item__quantity span {
    font-size: 14px !important;
}
.wc-block-components-order-summary .wc-block-components-order-summary-item__quantity {
    font-size: 14px !important;
}
.checkout-row .wc-block-components-radio-control__secondary-label,
.checkout-row .wc-block-components-totals-item__value {
	font-weight: 700 !important;
}

svg.wc-block-editor-components-block-icon {
    width: 1rem;
    height: 1rem;
}
.wc-block-components-form .wc-block-components-text-input input[type=email], .wc-block-components-form .wc-block-components-text-input input[type=number], .wc-block-components-form .wc-block-components-text-input input[type=password], .wc-block-components-form .wc-block-components-text-input input[type=tel], .wc-block-components-form .wc-block-components-text-input input[type=text], .wc-block-components-form .wc-block-components-text-input input[type=url], .wc-block-components-text-input input[type=email], .wc-block-components-text-input input[type=number], .wc-block-components-text-input input[type=password], .wc-block-components-text-input input[type=tel], .wc-block-components-text-input input[type=text], .wc-block-components-text-input input[type=url], .wc-blocks-components-select .wc-blocks-components-select__select {
	height: 64px !important;
}
.checkout-row .wc-block-components-order-summary-item__description {
    line-height: 0.9 !important;
}
.checkout-row .wc-block-components-order-summary-item__description .wc-block-components-product-name {
	font-weight: 700;
	text-transform: inherit;
	padding-bottom: 5px;
	color: var(--color-hin-red);
}
.checkout-row .wc-block-components-checkout-place-order-button {
	background-color: var(--color-hin-red);
	color: var(--color-hin-cream);
	text-transform: uppercase;
	font-weight: 700;
	border: 2px solid var(--color-hin-red);
	transition-duration: 0.3s;
	transition-timing-function: ease;
}
.checkout-row .wc-block-components-checkout-place-order-button:hover {
	background-color: var(--color-hin-cream);
	color: var(--color-hin-red);
}
.checkout-row a.read-more-content__read_more {
	color: var(--color-hin-red);
}
.woocommerce-shipping-totals.shipping {
    padding-top: 1rem;
}

.woocommerce-shipping-totals.shipping:before {
    content: "Delivery options";
    font-weight: bold;
    padding: 0rem 1rem 1rem 0rem;
}
.woocommerce-shipping-totals.shipping th {
    display: none;
}

.wc-block-components-address-form__state label::after {
    content: "";
}

.wc-block-components-address-form__state label {
    font-size: 0 !important;
}

.wc-block-components-address-form__state label::before {
    content: "County";
    font-size: 1rem;
}
/* Gift Card Message Field */
/* 
.wc-block-components-product-details__gift-message span {
	font-size: 14px !important;
}
.wc-block-components-product-details__gift-message .wc-block-components-product-details__name {
	font-weight: 700;
} */
/* account area */
.woocommerce-form-login, .woocommerce-form-register, .woocommerce-form-coupon, .woocommerce .track_order, .woocommerce .lost_reset_password {
    color: var(--color-hin-red);
    background: var(--color-hin-cream);
}
.woocommerce-form-login a, .woocommerce-form-register a, .woocommerce-form-coupon a, .woocommerce .track_order a, .woocommerce .lost_reset_password a {
	color: var(--color-hin-red);
}

span.password-input {
    display: flex;
    align-items: center;
    gap: 0.5rem;
}
button.show-password-input {
    width: 2rem;
    height: 2rem;
	border-radius: 0.3em;
    color: var(--color-hin-red);
    background: var(--color-hin-cream);
    display: block;
    padding: 0;
    line-height: 0;
}
button.show-password-input:after {
    content: "\f06e";
    font-family: fontawesome;
    font-size: 1rem;
}
button.show-password-input.display-password:after {
    content: "\f070";
    font-family: fontawesome;
    font-size: 1rem;
}
.woocommerce-MyAccount-content a.button {
    color: var(--color-hin-red) !important;
	background: var(--color-hin-cream);
}
.woocommerce-EditAccountForm .button[type=submit]:not(.w-btn) {
    border: 1px solid var(--color-hin-cream) !important;
}
.woocommerce-EditAccountForm .button[type=submit]:not(.w-btn):hover {
    background: var(--color-hin-cream) !important;
}
.woocommerce-MyAccount-content #add_payment_method .button.alt {
	border: 1px solid var(--color-hin-red) !important;
}
.woocommerce-MyAccount-content #add_payment_method .button.alt:hover {
	border: 1px solid var(--color-hin-red) !important;
}
.woocommerce-MyAccount-content #add_payment_method {
	background: var(--color-hin-cream);
	color: var(--color-hin-red);
    border-radius: 0.3em;
    padding: 1.5rem;
}
#add_payment_method ul.woocommerce-PaymentMethods.payment_methods.methods {
	margin-left: 0;
}
#add_payment_method ul.woocommerce-PaymentMethods.payment_methods.methods .woocommerce-PaymentBox {
	padding-top: 1rem;
}

.wc-stripe-product-checkout-container {
	
}
/*********************************************
 * *  Responsive Styling  * *
 *********************************************/

@media (max-width: 1200px) {
     {
    }
}

@media (max-width: 1024px) {
     {
    }
}

@media (max-width: 900px) {
     {
    }
}

@media (max-width: 768px) {
     {
    }
}

@media (max-width: 600px) {
     {
    }
}

@media (max-width: 480px) {
     {
    }
}

@media (max-width: 320px) {
     {
    }
}
